<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.reagent.mapper.BlacklistMapper">

  <resultMap id="blacklistMap" type="digital.laboratory.platform.reagent.entity.Blacklist">
    <id property="blacklistId" column="blacklist_id"/>
    <result property="reagentConsumableId" column="reagent_consumable_id"/>
    <result property="resultsOfComplianceCheck" column="results_of_compliance_check"/>
    <result property="supplierId" column="supplier_id"/>

    <result property="complianceCheckId" column="compliance_check_id"/>
    <result property="createTime" column="create_time"/>
    <result property="updateTime" column="update_time"/>
    <result property="createBy" column="create_by"/>
    <result property="updateBy" column="update_by"/>
  </resultMap>
</mapper>
